import * as z from 'zod';
import { JsonSchema7Type } from "zod-to-json-schema";
export declare class ZodSchemaBuilder<R extends Record<string, JsonSchema7Type>> {
    private readonly schemas;
    private constructor();
    static create(): ZodSchemaBuilder<{}>;
    add<S extends string, T extends z.ZodType>(name: S, type: T): ZodSchemaBuilder<R & {
        [name in S]: JsonSchema7Type;
    }>;
    build(): {
        components: {
            schemas: R;
        };
    };
}
