"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZodSchemaBuilder = void 0;
const zod_to_json_schema_1 = require("zod-to-json-schema");
class ZodSchemaBuilder {
    schemas;
    constructor(schemas) {
        this.schemas = schemas;
    }
    static create() {
        return new ZodSchemaBuilder({});
    }
    add(name, type) {
        this.schemas[name] = (0, zod_to_json_schema_1.zodToJsonSchema)(type, { name, basePath: ['#', 'components', 'schemas'] }).definitions[name];
        this.schemas[name].title = name;
        return this;
    }
    build() {
        return { components: { schemas: this.schemas } };
    }
}
exports.ZodSchemaBuilder = ZodSchemaBuilder;
