import { ApiGenerator } from './generator';
import { Method } from '../paths/method';
import { Path } from '../paths/path';
import { PathFinder } from '../paths/path-finder';
export declare class HexlabsGenerator implements ApiGenerator {
    private readonly aws;
    private readonly hydra;
    generate(definition: PathFinder, version?: string): string;
    private routerDefinition;
    methodRouterDefinition(method: Method, spacing: string, parentNames: string, pathParameters: string[]): [string, string[]];
    /**
     * Maps to an api definition from @hexlabs/apigateway-ts
     */
    pathRouterDefinition(path: Path, spacing: string, parentNames?: string, parentParts?: string[], parameters?: string[]): [string, string[], string[]];
    /**
     * Maps to an api definition from @hexlabs/apigateway-ts
     */
    apiDefinition(pathFinder: PathFinder, version?: string): string;
}
