function isOASParam(param) {
    return !Object.keys(param).includes("$ref");
}
export function methodFrom(method, definition) {
    const queries = definition.parameters?.filter(p => isOASParam(p) && p.in === "query")?.map(p => p) ?? [];
    const headers = definition.parameters?.filter(p => isOASParam(p) && p.in === "header")?.map(p => p) ?? [];
    const queryDefinitions = queries.map(it => ({ name: it.name, required: !!it.required, multi: it.schema?.type === 'array' }));
    const headerDefinitions = headers.map(it => ({ name: it.name, required: !!it.required, multi: it.schema?.type === 'array' }));
    const scopes = (definition.security ?? []).flatMap(it => Object.keys(it).flatMap(key => it[key]));
    const requestType = definition.requestBody?.content?.['application/json']?.schema?.$ref;
    const requestTypeName = requestType?.substring(requestType?.lastIndexOf('/') + 1);
    return {
        method,
        responses: definition.responses,
        queryParams: queryDefinitions,
        headerParams: headerDefinitions,
        scopes: [...new Set(scopes)],
        requestType: requestTypeName,
        operationId: definition.operationId
    };
}
