import { OAS, OASPath, OASRef, OASSecurityScheme } from "../../oas.js";
import { Path } from './path';
export interface PathInfo {
    paths?: {
        [key: string]: PathInfo;
    };
    methods?: string[];
    security?: {
        [method: string]: {
            scopes: string[];
        };
    };
}
export declare class PathFinder {
    apiName: string;
    paths: Path[];
    constructor(apiName: string, paths?: Path[]);
    append(route: string, path: OASPath, securitySchemes?: Record<string, OASSecurityScheme | OASRef>): this;
    pathInfo(): {
        [key: string]: PathInfo;
    };
    static from(openapi: OAS): PathFinder;
}
