import { OASPath, OASRef, OASSecurityScheme } from '../../oas';
import { Method } from './method';
import { PathInfo } from './path-finder';
export declare class Path {
    part: string;
    paths: Path[];
    methods: Method[];
    parent?: Path | undefined;
    constructor(part: string, paths?: Path[], methods?: Method[], parent?: Path | undefined);
    operations(): {
        path: Path;
        method: Method;
    }[];
    append(route: string[], path: OASPath, securitySchemes?: Record<string, OASSecurityScheme | OASRef>): this;
    pathInfo(): {
        [key: string]: PathInfo;
    };
    pathString(): string;
    private capitilize;
    name(): string;
}
