import { OASOperation, OASParameter, OASPath, OASServer } from './oas';
export declare class PathBuilder {
    private readonly name;
    path: Record<string, OASPath>;
    constructor(name: string);
    childPath(name: string, builder: (paths: PathBuilder) => PathBuilder): this;
    resource(name: string, builder: (paths: PathBuilder) => PathBuilder): this;
    private set;
    summary(summary: string): this;
    description(description: string): this;
    servers(...servers: OASServer[]): this;
    parameters(...parameters: OASParameter[]): this;
    get(operationId: string, operation: OASOperation): this;
    put(operationId: string, operation: OASOperation): this;
    post(operationId: string, operation: OASOperation): this;
    delete(operationId: string, operation: OASOperation): this;
    options(operationId: string, operation: OASOperation): this;
    head(operationId: string, operation: OASOperation): this;
    patch(operationId: string, operation: OASOperation): this;
    trace(operationId: string, operation: OASOperation): this;
}
