import { zodToJsonSchema } from "zod-to-json-schema";
export class ZodSchemaBuilder {
    schemas;
    constructor(schemas) {
        this.schemas = schemas;
    }
    static create() {
        return new ZodSchemaBuilder({});
    }
    add(name, type) {
        this.schemas[name] = zodToJsonSchema(type, { name, basePath: ['#', 'components', 'schemas'] }).definitions[name];
        this.schemas[name].title = name;
        return this;
    }
    build() {
        return { components: { schemas: this.schemas } };
    }
}
