import { JSONSchema } from "json-schema-to-typescript";
interface Invalid {
    location: string;
    message: string;
    schema: JSONSchema;
    value: any;
}
interface SchemaInfo {
    schema: JSONSchema;
    current: JSONSchema;
}
/**
 * https://json-schema.org/draft/2019-09/json-schema-validation.html
 */
export declare class Validator {
    static constValidation(value: any, constValue: any, location: string, schema: SchemaInfo): Invalid[];
    static enumValidation(value: any, enumValues: any, location: string, schema: SchemaInfo): Invalid[];
    static validateGlobal(value: any, location: string, schema: SchemaInfo): Invalid[];
    static actualSchema(schema: JSONSchema, current: JSONSchema): JSONSchema;
    static validateUnknown(value: any, location: string, schema: SchemaInfo): Invalid[];
    static validate(value: any, schema: JSONSchema, parentSchema?: JSONSchema): Invalid[];
}
export {};
